Subject: Re: bug#66572: Windows menu entries double

From: Johann Höchtl <[email-masked]>
Date: Mon, 16 Oct 2023 14:41:40 +0200

>  Are you saying that they just appear for you, even if you do nothing
in Emacs?

Yes, I have it eg. in the background or minimized to the tray and when I
pop it to the front, I have "ghost" entries - sometimes.

> What happens if you disable double-buffering?

I evaluated (modify-frame-parameters nil '((inhibit-double-buffering . t)))
and double-buffering is visibly deactivated. I will investigate.

Am Mo., 16. Okt. 2023 um 13:54 Uhr schrieb Eli Zaretskii <[email-masked]>:

> > From: Johann Höchtl <[email-masked]>
> > Date: Mon, 16 Oct 2023 08:37:21 +0200
> >
> > I am using Emacs 29.1 downloaded from
> > https://ftp.gnu.org/gnu/emacs/windows/emacs-29/emacs-29.1_2.zip on
> Windows 10.
> >
> > Every now and then, without any discernible pattern, Emacs in GUI mode
> doubles its main menu
> > entries. With main menu I mean
> >
> > File / Edit / Options / Tools / Text / Help
> >
> > becomes
> > File / Edit / Options / Tools / Text / Help / File / Edit / Options /
> Tools / Text / Help
> >
> > This is also true when another mode is active which adds top level menu
> entries.
>
> I only see this rarely when I drag the right edge of the frame with
> the mouse, and drag it very fast.  As soon as I stop dragging, the
> "ghost" menu items disappear.
>
> Are you saying that they just appear for you, even if you do nothing
> in Emacs?  What happens if you disable double-buffering?
>